<%@ include file="init_inc.jsp" %>
<%@ include file="checkauth_inc.jsp" %>
<%@ include file="course_inc.jsp" %>
<%@ include file="exercise_inc.jsp" %>
<%@ include file="header.jsp" %>

<%@ page import="java.sql.*" %>
<%@ page import="java.util.*" %>
<%@ page import="no.ntnu.stud.frodesol.jexserver.core.*" %>

<%
if (jexuser.isAdmin ()) {
%>

<table>
<%
Database database = Database.getInstance ();
PreparedStatement stat;
ResultSet rs;
int intval;
%>

<tr>
<td>Total manual submissions:</td>
<td>
<%
stat = database.prepareStatement ("SELECT count(*) FROM submission WHERE autosubmitted = 0 AND exercise = ?");
stat.setString (1, jexexercise.getId ());
rs = stat.executeQuery ();
rs.next ();
intval = rs.getInt (1);
rs.close ();
stat.close ();
%>
<%=intval%>
</td>
</tr>

<tr>
<td>Total automatic submissions:</td>
<td>
<%
stat = database.prepareStatement ("SELECT count(*) FROM submission WHERE autosubmitted = 1 AND exercise = ?");
stat.setString (1, jexexercise.getId ());
rs = stat.executeQuery ();
rs.next ();
intval = rs.getInt (1);
rs.close ();
stat.close ();
%>
<%=intval%>
</td>
</tr>

<tr>
<td>Number of unique students:</td>
<td>
<%
stat = database.prepareStatement ("SELECT DISTINCT student FROM submission WHERE exercise = ?");
stat.setString (1, jexexercise.getId ());
rs = stat.executeQuery ();
rs.last ();
intval = rs.getRow ();
rs.close ();
stat.close ();
%>
<%=intval%>
</td>
</tr>

<tr>
<td>Number of students having achieved perfect score:</td>
<td>
<%
stat = database.prepareStatement ("SELECT DISTINCT student FROM submission WHERE exercise = ? AND score = 100");
stat.setString (1, jexexercise.getId ());
rs = stat.executeQuery ();
rs.last ();
intval = rs.getRow ();
rs.close ();
stat.close ();
%>
<%=intval%>
</td>
</tr>

</table>
<%
}
%>

<%@ include file="footer.jsp" %>
