<%@ page contentType="text/html; charset=UTF-8" %>
<%@ page import="java.sql.*" %>
<%@ page import="java.util.*" %>
<%@ page import="no.ntnu.stud.frodesol.jexserver.core.*" %>
<%@ page import="no.ntnu.stud.frodesol.jexserver.eval.*" %>
<%@ page import="no.ntnu.stud.frodesol.jexweb.*" %>

<html>
<head>
<style>
body {
    font-family: Arial;
    font-size: 12px;
}
</style>
</head>
<body>


<%

User jexuser = null;
no.ntnu.stud.frodesol.jexserver.core.Exercise jexexercise = null;
Course jexcourse = null;

String exerciseref = request.getParameter ("exerciseref");
if (exerciseref != null) {
    PreparedStatement stat = null;
    try {
        Database database = Database.getInstance ();
        stat = database.prepareStatement ("SELECT " +
                "exerciseref.student, exerciseref.exercise, " +
                "course.id FROM " +
                "exerciseref, exercise, course WHERE " +
                "exerciseref.exercise = " +
                "exercise.uuid AND exercise.course = course.id " +
                "AND exerciseref.id = ?");
        stat.setString(1, exerciseref);
        ResultSet rs = stat.executeQuery();
        if (!rs.next()) {
            throw new Exception("Did not find exerciseref");
        }
        String username = rs.getString(1);
        String exerciseid = rs.getString(2);
        String courseid = rs.getString(3);
        rs.close();
        database.close();
        
        Student student = Student.findByCredentials(username, false);
        jexuser = new User(student);
        jexexercise = no.ntnu.stud.frodesol.jexserver.core.Exercise.get(
                exerciseid);
        jexcourse = new Course(courseid);
    }
    catch (Exception e) {
        throw new ServletException(e);
    }
    finally {
        try {
            if (stat != null) stat.close();
        }
        catch (Exception e) {
            throw new ServletException(e);
        }
    }
}




int submissionid = Integer.parseInt (request.getParameter ("submissionid"));
Submission jexsubmission = new Submission (submissionid);
if (jexsubmission.getStudentUserName ().equals (
        jexuser.getStudent ().getUserName ()) == false) {
    throw new Exception ("Invalid submission access, " + 
            jexsubmission.getStudentUserName () + " != " + 
            jexuser.getStudent ().getUserName ());
}

%>

<div class="containerbox1"><div class="containerbox2">
<div class="containerbox3"><div class="containerbox4">

<!--
<h1>Status for øving: <%=jexexercise.getName()%></h1>
-->

<p class="standardfontsize"> 
<%
if (jexsubmission.isGraded ()) {
    String color="black";
    if (jexsubmission.getScore () == 0) {
        color="red";
    }
    %>Du fikk følgende poengsum:
    <div style='font-size: 20px; font-weight: bold; color: <%=color%>;'><%=jexsubmission.getScore ()%> poeng</div> <%
}
else {
    %><b>Venter på at resultater skal bli klare...</b>
    
    <script language="JavaScript">
    function refresh () {
        window.location.reload (false);
    }    
    timer = setTimeout ("refresh ()", 10000);
    </script>
    
    <%
}
%>
</p>

<%
if (jexsubmission.isGraded ()) {
%>

Husk at du må gå inn på øvingen via it's learning for å registrere/leverere
ditt beste resultat for øvingen. Først da er besvarelsen din for øvingen
levert.

<%@ include file="results_inc.jsp" %>
<%
}
else {
    %>
    <!--
    <p class="standardfontsize">
    Denne siden vil automatisk oppdateres til resultatene er klare.
    </p>
    -->
    <%
}
%>

</div></div>
</div></div>

</body>
</html>
