<%@ page contentType="text/html; charset=UTF-8" %>

<%@ include file="init_inc.jsp" %>
<%@ include file="checkauth_inc.jsp" %>
<%@ include file="course_inc.jsp" %>
<%@ include file="exercise_inc.jsp" %>
<%@ include file="submission_inc.jsp" %>

<%@ page import="java.util.*" %>
<%@ page import="no.ntnu.stud.frodesol.jexserver.core.*" %>
<%@ page import="no.ntnu.stud.frodesol.jexserver.eval.*" %>


<h1>Submission Status</h1>

<p>Status: 
<%
if (jexsubmission.isGraded ()) {
    %>Graded, score = <%=jexsubmission.getScore ()%> <%
}
else {
    %>Awaiting grading...
    
    <script language="JavaScript">
    function refresh () {
        window.location.reload (false);
    }    
    timer = setTimeout ("refresh ()", 10000);
    </script>
    
    <%
}
%>

<%
if (jexsubmission.isGraded ()) {

Report report = jexsubmission.createReport ();
TestNode[] testnodes = report.getTestNodes ();
%>
<p>

<script language = 'JavaScript'>
function expand_or_collapse (id) {
    elm = document.getElementById (id + '_children');
    button = document.getElementById (id + '_button');
    if (elm.style.display == 'none') { // was collapsed
        elm.style.display = 'block';
        button.src = '/jexweb/icons/collapse.png';
    }
    else { // was expanded
        elm.style.display = 'none';
        button.src = '/jexweb/icons/expand.png';
    }
}
</script>


<%!
void outputNodes (javax.servlet.jsp.JspWriter out, TestNode node,
        String nodeid, java.util.ArrayList<String> visiblelist) throws Exception {
    
    TestNode[] nodes = node.getChildren ();
    String icon = "";
    if (node.getMaxPoints () > 0) {
        if (node.passed ()) {
            icon = "requirement_ok.gif";
        }
        else {
            visiblelist.add (nodeid);
            icon = "requirement_error.gif";
        }
    }
    else if (nodes.length > 0) {
        icon = "folder.png";  // Folder
        
        int found = 0;
        for (int i = 0; i < nodes.length; i++) {
            if (nodes[i].getMaxPoints () > 0) {
                found++;
            }
            else if (nodes[i].getChildren ().length > 0) {
                found++;
            }
        }
        if (found == 0) {
            return;
        }
        
    }
    else {
        //icon = "requirement_default.gif";
        return;
    }
        
    out.write ("<div id = '" + nodeid + "'  style='padding-top: 1px; padding-bottom: 1px;'>");
    
    if (nodes.length > 0) {
        out.write ("<img id = '" + nodeid + "_button' src='/jexweb/icons/expand.png' onclick='expand_or_collapse (\"" + nodeid + "\");'> ");
    }
    out.write ("<img src='/jexweb/icons/" + icon + "'> ");
    out.write (node.getName ());
    
    
    int penalty = node.getAchievedPoints () - node.getMaxPoints ();
    if (penalty != 0) {
        out.write (" &nbsp; <span style='color:red'>(" + Integer.toString (penalty) + " points)</span>");
    }

    
    out.write ("</div>");
    out.write ("<div id = '" + nodeid + "_children' style='padding-left: 20px; display: none'>");
    for (int i = 0; i < nodes.length; i++) {
        outputNodes (out, nodes[i], nodeid + "_" + i, visiblelist);
    }
    out.write ("</div>\n");
}
%>
<%!
void outputTopNodes (javax.servlet.jsp.JspWriter out, TestNode node,
        java.util.ArrayList<String> visiblelist) throws Exception {
    String nodeid = "node";
    TestNode[] nodes = node.getChildren ();
    for (int i = 0; i < nodes.length; i++) {
        outputNodes (out, nodes[i], nodeid + "_" + i, visiblelist);
    }
}
%>

<div style='font-family: tahoma, arial; font-size: 12px;'>
<%
//out.write ("Test");
TestNode node = report.getTestRootNode ();
java.util.ArrayList<String> visiblelist = new java.util.ArrayList<String> ();
outputTopNodes (out, node, visiblelist);
%>
</div>

<script language='JavaScript'>
function ensure_visible (id) {    
    elm = document.getElementById (id);
    node = elm.parentNode;
    while (node && node.style.display == 'none') {
        node.style.display = 'block';
        //alert (node.id.substring (0, node.id.length - 9));
        button = document.getElementById (node.id.substring (0, node.id.length - 9) + "_button");
        button.src = '/jexweb/icons/collapse.png';
        //expand_children_node (node.id);
        node = node.parentNode; 
    }
}
<%
for (int i = 0; i < visiblelist.size (); i++) {
    out.write ("ensure_visible ('" + visiblelist.get (i) + "');\n");
}
%>
</script>

<%
}
else {
    %>
    This page will refresh itself automatically until the results are in.
    <%
}
%>
