<%@ include file="init_inc.jsp" %>
<%@ include file="checkauth_inc.jsp" %>
<%@ include file="course_inc.jsp" %>
<%@ include file="exercise_inc.jsp" %>
<%@ include file="submission_inc.jsp" %>
<%@ include file="header.jsp" %>

<%@ page import="java.util.*" %>
<%@ page import="no.ntnu.stud.frodesol.jexserver.core.*" %>
<%@ page import="no.ntnu.stud.frodesol.jexserver.eval.*" %>


<h1>Submission Status</h1>

<p>Status: 
<%
if (jexsubmission.isGraded ()) {
    %>Graded, score = <%=jexsubmission.getScore ()%> <%
}
else {
    %>Awaiting grading...
    
    <script language="JavaScript">
    function refresh () {
        window.location.reload (false);
    }    
    timer = setTimeout ("refresh ()", 10000);
    </script>
    
    <%
}
%>

<%
if (jexsubmission.isGraded ()) {

Report report = jexsubmission.createReport ();
TestNode[] testnodes = report.getTestNodes ();
%>

<h1>Errors and Problems</h1>

<%

if (report.getErrorMessage() != null) {
    %>
    <p style='color: red'><%=report.getErrorMessage()%></p>
    <%
}

%>

<table>
<tr>
<th>Points subtracted</th>
<th>Test Message and Details</th>
</tr>
<%

for (int i = 0; i < testnodes.length; i++) {
    TestNode testnode = testnodes[i];
    if (testnode.passed ()) {
        continue;
    }
    int penalty = testnode.getAchievedPoints () - testnode.getMaxPoints ();
    
    %>
    <tr>
    <td class="testheader">
    <%= penalty %>
    </td>
    <td class="testheader">
    <%= testnode.getName () %>
    </td>
    </tr>
    
    <tr> <td></td>
    <td>
    <%
    
    List<Problem> problems = testnode.getProblems ();
    for (Problem p : problems) {
        %>
        <b><%= p.message %></b>
        <%
        String filtered_details = "";
        String[] details = p.detail.split ("\n");
        for (int k = 0; k < details.length; k++) {
            if (details[k].startsWith ("\tat no.ntnu.stud.frodesol.jexserver.")) continue;
            if (details[k].startsWith ("\tat junit.framework.")) continue;
            if (details[k].startsWith ("\tat java.lang.reflect.")) continue;
            if (details[k].startsWith ("\tat sun.reflect.")) continue;
            filtered_details += details[k] + "<br/>";
        }
        %>
        <p style='font-family: monospace'><%= filtered_details %></p>
        
        </p>
        <%
    }
    
    %>
    </td>
    </tr>
    <%
}

%>
</table>

<%
}
else {
    %>
    This page will refresh itself automatically until the results are in.
    <%
}
%>

<%@ include file="footer.jsp" %>
