package no.ntnu.stud.frodesol.jexserver.dispatch;

import java.io.*;
import java.net.*;

public class ListenerThread extends Thread {
    
    private ServerSocket m_listener;
    private Dispatcher m_dispatcher;
    
    public ListenerThread (Dispatcher dispatcher, ServerSocket socket) {
        
        System.out.println ("Creating new DispatchThread");
        
        m_dispatcher = dispatcher;
        m_listener = socket;
    }
    
    public void run () {
        
        while (true) {
            try {
                Socket socket = new Socket ();
                System.out.println ("Waiting for new connection...");
                socket = m_listener.accept ();
                System.out.println ("Socket connection");
                DispatchThread dt = new DispatchThread (m_dispatcher,
                        socket);
                dt.start ();
            }
            catch (IOException e) {
                System.out.println ("Exception on listen/accept: " + e);
                e.printStackTrace ();
            }
        }
    }
}
