package no.ntnu.stud.frodesol.jexweb;
import javax.servlet.http.*;
import javax.servlet.*;

import java.io.*;
import no.ntnu.stud.frodesol.jexserver.core.*;

public class BaseServlet extends HttpServlet {

    public Student getStudent (HttpServletRequest request,
            boolean createondemand) throws Exception {
        User user = (User) request.getSession ().getAttribute ("User");
        if (user == null) {
            String username = request.getParameter ("username");
            String password = request.getParameter ("password");
            try {
                 user = authenticate (username, password, createondemand);
            }
            catch (AuthenticationException e) {
                throw new Exception ("No user login");
            }
        }
        return user.getStudent ();
    }
        
    public Student getStudent (HttpServletRequest request) throws Exception {
        return getStudent (request, false);
    }
    /*
    public void requireAdminAccess () {
        
    }
    */
    public static User authenticate (String username, String password) 
        throws AuthenticationException {
    
        /*
        try {
            Student student = Student.findByCredentials (
                    username, password);
            return new User (student);
        }
        catch (Exception e) {
            throw new AuthenticationException ("Could not authenticate " + 
                    username);
        }
        */
        return authenticate (username, password, false);
    }
    
    public static User authenticate (String username, String password,
            boolean createondemand) 
    throws AuthenticationException {

    try {
        Student student = Student.findByCredentials (
                username, password, createondemand);
        return new User (student);
    }
    catch (Exception e) {
        throw new AuthenticationException ("Could not authenticate " + 
                username);
    }
}
}
