package no.ntnu.stud.frodesol.jexweb;

import no.ntnu.stud.frodesol.jexserver.core.*;

public class User {
    
    private boolean m_isadmin = false;
    private Student m_student = null;
    
    public User (Student student) {
        m_student = student;
    }
    
    public boolean isAdmin () {
        return m_isadmin || m_student.isAdmin ();
    }
    
    public void setAdmin (boolean is_admin) {
        m_isadmin = is_admin;
    }
    
    public String getUserName () {
        
        return m_student.getUserName ();
    }
    
    public Student getStudent () throws Exception {
        
        if (m_student == null) {
            throw new Exception ("No student in user");
        }
        return m_student;
    }
}
