<%@ include file="init_inc.jsp" %>
<%@ include file="checkauth_inc.jsp" %>
<%@ include file="course_inc.jsp" %>
<%@ include file="exercise_inc.jsp" %>
<%@ include file="header.jsp" %>

<%@ page import="java.util.*" %>
<%@ page import="no.ntnu.stud.frodesol.jexserver.core.*" %>

<%
if (jexuser.isAdmin ()) {
%>

<div style='float: right;'>
<a href='ex_stats.jsp?courseid=<%=jexcourse.getId ()%>&exerciseid=<%=jexexercise.getId ()%>'>Exercise Statistics</a>
<br><a href='ex_stats_scoring.jsp?courseid=<%=jexcourse.getId ()%>&exerciseid=<%=jexexercise.getId ()%>'>Exercise Statistics w/graph</a>

</div>
<p><b>You have administrator access.</b></p>

Current exercise version: <%=jexexercise.getVersion ()%>
<pre><%=jexexercise.getId ()%></pre>

<!--
<p>Update Exercise</p>
<p><form name="submitform" method="post" action="new_exercise.do">
<input type="hidden" name="courseid" value="<%=jexcourse.getId ()%>" />
<input type="hidden" name="exerciseid" value="<%=jexexercise.getId ()%>" />
<table>
<tr>
<td>Exercise name:</td>
<td><input type="text" name="name" /></td>
</tr>
</table>
<input type="submit" name="submit" value="Submit" />
</form></p>
-->
<p><b>Upload or Replace Exercise ZIP-files</b></p>
<p><form name="submitform" method="post" action="upload_exercise.do?courseid=<%=jexcourse.getId ()%>&exerciseid=<%=jexexercise.getId ()%>" enctype="multipart/form-data">

Distributable ZIP: <input type="file" name="distzip" />
<p>ZIP to use for grading: <input type="file" name="testzip" /> (Containing complete tests)<br/>
<p><input type="submit" name="submit" value="Submit" />
</form></p>

<hr/>
<%
}
%>


<p><b>Submission upload</b></p>
<p>To deliver a submission, upload a zip file containing your java classes.
Remember to include the package hierarchy in the zip file.</p>

<p><form name="submitform" method="post" action="submit.do?courseid=<%=jexcourse.getId ()%>&exerciseid=<%=jexexercise.getId ()%>" enctype="multipart/form-data">
<!--
<input type="hidden" name="courseid" value="<%=jexcourse.getId ()%>" />
<input type="hidden" name="exerciseid" value="<%=jexexercise.getId ()%>" />
-->
<input type="file" name="submission" />
<input type="submit" name="submit" value="Submit" />
</form></p>

<%
List<Submission> submissions = jexexercise.getSubmissionsByStudent (
        jexuser.getStudent ());
if (submissions.size () > 0) {

    %>
    <h1>Existing submissions</h1>
    <p>The following submissions are registered:
    
    <p><table>
    <tr>
    <th>Delivered</th>
    <th>Score</th>
    </tr>
    <%

    for (Submission s : submissions) {
        %>
        <tr>
        <td><a href="submission.jsp?courseid=<%= jexcourse.getId ()
        %>&exerciseid=<%= jexexercise.getId () 
        %>&submissionid=<%= s.getId () %>"><%= s.formatReceiveTime () %></a>
        &nbsp;&nbsp;&nbsp;</td>
        
        <td>
        <%
        if (s.isGraded ()) {
            %><%=s.getScore () %><%
        }
        %>
        </td>
        </tr>
        <%
    }
    %>
    </table></p>
    <%
}
%>

</p>

<%@ include file="footer.jsp" %>
