package jexutil;

import java.io.File;
import junit.framework.TestCase;

public class JexTestCase extends TestCase {
	
	public String getExerciseFilePath (String relativePath) {
		String basePath = System.getProperty ("jex.exercisepath");
		if (basePath == null) {
			return relativePath;			
		}
		return new File (basePath, relativePath).getPath ();
	}
	
	public String getResourceFilePath (String relativePath) {
		String basePath = System.getProperty ("jex.resourcepath");
		if (basePath == null) {
			return new File ("resources", relativePath).getPath ();
		}
		return new File (basePath, relativePath).getPath ();
	}
}
