package no.ntnu.stud.frodesol.jexweb;
import javax.servlet.http.*;
import javax.servlet.*;

import java.io.*;
import no.ntnu.stud.frodesol.jexserver.core.*;

public class HomeServlet extends BaseServlet {

    public void doGet (HttpServletRequest request,
            HttpServletResponse response)
            throws ServletException, IOException {
        
        Student student;
        try {
            student = getStudent (request); 
        }
        catch (Exception e) {
            response.sendRedirect ("login.jsp");
            return;
        }
        
        ServletContext context = getServletContext ();
        RequestDispatcher dispatcher = context.getRequestDispatcher (
                "/home.jsp");
        dispatcher.forward (request, response);
    }
}
