package no.ntnu.stud.frodesol.jexweb;
import javax.servlet.http.*;
import javax.servlet.*;
import java.io.*;
import no.ntnu.stud.frodesol.jexserver.core.*;

public class LoginServlet extends BaseServlet {
    
    public void doPost (HttpServletRequest request,
            HttpServletResponse response)
            throws ServletException, IOException {
        
        ServletContext context = getServletContext ();
        
        String username = request.getParameter("username");
        String password = request.getParameter("password");
        
        
        try {
            Student student = Student.findByCredentials (username, password, false);
        }
        catch (Exception e) {
            throw new ServletException (e.getMessage ());
        }
        
        User user;
        try {
             user = authenticate (username, password);
        }
        catch (AuthenticationException e) {
            throw new ServletException (e.getMessage ());
            /*
            request.setAttribute ("LoginFailed", true);
            RequestDispatcher dispatcher = context.getRequestDispatcher (
                    "/login.jsp");
            dispatcher.forward (request, response);
            
            return;
            */
        }
        
        HttpSession session = request.getSession (true);
        session.setAttribute ("User", user);
        
        response.sendRedirect ("home");
    }
}
